package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.*;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ActSuppliesConverMapper {

    List<ActSuppliesTemplate> templiteList(ActSuppliesTemplate sysSupplies);

    List<ActSuppliesTemplate> templiteListid(Integer id);

    List<ActSuppliesRole> roleList(Integer id);

    List<ActSuppliesRoleDetail> roleListid(Integer id);

    ActSupplies selectSuppliesname(String name);

    List<ActOperation> converSupplies(List<String> name);
}
